package api

import (
	"fmt"

	"github.com/casdoor/casdoor-go-sdk/casdoorsdk"
	"github.com/gin-gonic/gin"
)

// https://auth.3dqueen.cloud/login/oauth/authorize?client_id=d372dce9cd00805db7e0&redirect_uri=http://localhost:9999/cmf/login/callback&response_type=code&scope=openid&state=STATE
// 需要在第三方提供商配置回调 https://auth.3dqueen.cloud/callback
func callback(c *gin.Context, apictx *ApiSession) (interface{}, error) {

	token, err := casdoorsdk.GetOAuthToken(c.Query("code"), c.Query("state"))
	if err != nil {
		fmt.Println(err)
	}

	fmt.Println(token.AccessToken)
	claims, err := casdoorsdk.ParseJwtToken(token.AccessToken)
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(claims)
	// c.Redirect(http.StatusFound, "https://auth.3dqueen.cloud")

	claims.AccessToken = token.AccessToken
	return claims, nil
}
